Bug 151293 - The application KNotify (knotify) crashed and caused the signal 11 (SIGSEGV).
Summary: The application KNotify (knotify) crashed and caused the signal 11 (SIGSEGV).
Status: CLOSED UNMAINTAINED
Alias: None
Product: arts
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Other
: NOR crash (vote)
Target Milestone: ---
Assignee: Stefan Westerfeld
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-10-24 18:40 UTC by Alex
Modified: 2013-02-14 16:10 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alex 2007-10-24 18:40:47 UTC
Version:            (using KDE KDE 3.5.8)
Installed from:    Ubuntu Packages
OS:                Other

(no debugging symbols found)
Using host libthread_db library "/lib/tls/i686/cmov/libthread_db.so.1".
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread -1232607008 (LWP 7490)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[KCrash handler]
#6  0xb66a2a3b in KAudioManagerPlay::KAudioManagerPlay ()
   from /usr/lib/libartskde.so.1
#7  0xb675fd03 in KNotify::restartedArtsd () from /usr/lib/kde3/knotify.so
#8  0xb676001d in KNotify::KNotify () from /usr/lib/kde3/knotify.so
#9  0xb676085a in kdemain () from /usr/lib/kde3/knotify.so
#10 0x0804e6bf in ?? ()
#11 0x00000001 in ?? ()
#12 0x0806b8c8 in ?? ()
#13 0x00000001 in ?? ()
#14 0x00000000 in ?? ()
Comment 1 Ian Milligan 2008-01-31 08:30:29 UTC
I can confirm this bug.  I have both KDE 3.5.8 and KDE 4.0.  It has only happened twice and both during a KDE 4.0 session.  I cannot reproduce it, as it seems quite random.

OS: Gentoo Linux
Installed from portage ~x86 tree

Backtrace:

Using host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread 0xb68496d0 (LWP 28884)]
[KCrash handler]
#6  0xb6836e70 in KAudioManagerPlay::KAudioManagerPlay ()
   from /usr/kde/3.5/lib/libartskde.so.1
#7  0xb7ba6153 in KNotify::restartedArtsd ()
   from /usr/kde/3.5/lib/kde3/knotify.so
#8  0xb7ba8501 in KNotify::KNotify () from /usr/kde/3.5/lib/kde3/knotify.so
#9  0xb7ba89d8 in kdemain () from /usr/kde/3.5/lib/kde3/knotify.so
#10 0x0804f112 in launch ()
#11 0x0804f811 in handle_launcher_request ()
#12 0x0804fccc in handle_requests ()
#13 0x08050750 in main ()
#14 0xb6863400 in __libc_start_main () from /lib/libc.so.6
#15 0x0804c1e1 in _start ()
#0  0xffffe410 in __kernel_vsyscall ()
Comment 2 Leslie Esposito 2008-03-13 19:06:07 UTC
i have reproduced this 5 times today
Comment 3 Adam Jimerson 2008-04-29 18:10:44 UTC
I am able to reproduce this, happened five times today using KDE 4.0.3 installed from SUSE RPMS.  It seems to happen when every a sound should play, an example opening a window, closing a window, logging in.  What is where is the system seems to hang for about a minute before the crash handler comes up with details.  My system ate the first backtrace that happened when I logged into KDE 4 but I have others:

[?1034h(no debugging symbols found)
Using host libthread_db library "/lib/libthread_db.so.1".
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread 0xb6972a80 (LWP 10665)]
[New Thread 0xaffffb90 (LWP 10684)]
[New Thread 0xb13c7b90 (LWP 10683)]
[New Thread 0xb1bc8b90 (LWP 10682)]
[New Thread 0xb2596b90 (LWP 10681)]
[New Thread 0xb2d97b90 (LWP 10680)]
[New Thread 0xb35dab90 (LWP 10679)]
[New Thread 0xb3e5cb90 (LWP 10667)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
0xffffe410 in __kernel_vsyscall ()
[Current thread is 0 (LWP 10665)]

Thread 8 (Thread 0xb3e5cb90 (LWP 10667)):
#0  0xffffe410 in __kernel_vsyscall ()
#1  0xb7d407ec in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/libpthread.so.0
#2  0xb4c03e85 in ?? () from /usr/lib/libxine.so.1

Thread 7 (Thread 0xb35dab90 (LWP 10679)):
#0  0xffffe410 in __kernel_vsyscall ()
#1  0xb7d42ffb in read () from /lib/libpthread.so.0
#2  0xb4b6efa2 in ?? () from /usr/lib/libasound.so.2
#3  0x0000000f in ?? ()
#4  0xb35da230 in ?? ()
#5  0x00000048 in ?? ()
#6  0x000b936c in ?? ()
#7  0xb4b44238 in ?? () from /usr/lib/libasound.so.2
#8  0xb4bf0ff4 in ?? () from /usr/lib/libasound.so.2
#9  0xb35da1f8 in ?? ()
#10 0xb4b6c5ad in snd_ctl_read () from /usr/lib/libasound.so.2
Backtrace stopped: frame did not save the PC

Thread 6 (Thread 0xb2d97b90 (LWP 10680)):
#0  0xffffe410 in __kernel_vsyscall ()
#1  0xb7d40566 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb4c14d50 in ?? () from /usr/lib/libxine.so.1
#3  0x081b9f18 in ?? ()
#4  0x081b9f00 in ?? ()
#5  0x00000000 in ?? ()

Thread 5 (Thread 0xb2596b90 (LWP 10681)):
#0  0xffffe410 in __kernel_vsyscall ()
#1  0xb6b568d6 in nanosleep () from /lib/libc.so.6
#2  0xb6b566b7 in sleep () from /lib/libc.so.6
#3  0xb70b6ec9 in ?? () from /usr/lib/libkdeui.so.5
#4  0x00000001 in ?? ()
#5  0x00000000 in ?? ()

Thread 4 (Thread 0xb1bc8b90 (LWP 10682)):
#0  0xffffe410 in __kernel_vsyscall ()
#1  0xb7d40566 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb4c07674 in ?? () from /usr/lib/libxine.so.1
#3  0x081d503c in ?? ()
#4  0x081d5024 in ?? ()
#5  0x00000000 in ?? ()

Thread 3 (Thread 0xb13c7b90 (LWP 10683)):
#0  0xffffe410 in __kernel_vsyscall ()
#1  0xb7d40566 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb4c18870 in xine_event_wait () from /usr/lib/libxine.so.1
#3  0x080f91a0 in ?? ()
#4  0x0832d370 in ?? ()
#5  0x00000001 in ?? ()
#6  0xb4c18904 in ?? () from /usr/lib/libxine.so.1
#7  0x0832d370 in ?? ()
#8  0x080f91a0 in ?? ()
#9  0x00000000 in ?? ()

Thread 2 (Thread 0xaffffb90 (LWP 10684)):
#0  0xffffe410 in __kernel_vsyscall ()
#1  0xb7d407ec in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/libpthread.so.0
#2  0xb4c0f88a in ?? () from /usr/lib/libxine.so.1
#3  0xb0a0f18c in ?? ()
#4  0xb0a0f174 in ?? ()
#5  0xaffff32c in ?? ()
#6  0x00000000 in ?? ()

Thread 1 (Thread 0xb6972a80 (LWP 10665)):
#0  0xffffe410 in __kernel_vsyscall ()
#1  0xb6b84591 in select () from /lib/libc.so.6
#2  0xb7eaae53 in QEventDispatcherUNIX::select () from /usr/lib/libQtCore.so.4
#3  0xb7424bf6 in QEventDispatcherX11::select () from /usr/lib/libQtGui.so.4
#4  0xb7eac472 in QEventDispatcherUNIXPrivate::doSelect ()
   from /usr/lib/libQtCore.so.4
#5  0xb7eac9c4 in QEventDispatcherUNIX::processEvents ()
   from /usr/lib/libQtCore.so.4
#6  0xb7424e31 in QEventDispatcherX11::processEvents ()
   from /usr/lib/libQtGui.so.4
#7  0xb7e830dd in QEventLoop::processEvents () from /usr/lib/libQtCore.so.4
#8  0xb7e83271 in QEventLoop::exec () from /usr/lib/libQtCore.so.4
#9  0xb7e853ba in QCoreApplication::exec () from /usr/lib/libQtCore.so.4
#10 0xb739e717 in QApplication::exec () from /usr/lib/libQtGui.so.4
#11 0x0804d88f in main ()
#0  0xffffe410 in __kernel_vsyscall ()
 
Comment 4 Alexander Breidenbroich 2008-06-20 21:06:11 UTC
Maybe this helps:
This happend also for me as I've enabled Deinterlacing for Files in the KDE Sound-Settings Dialog. Disabling it brought the Sound back again.
Comment 5 Bram Schoenmakers 2008-06-21 12:08:00 UTC
Yes, after enabling Deinterlacing for Files I got a crash quite soon.

Application: KNotify (knotify4), signal SIGSEGV
Using host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread 0xb6a5f6d0 (LWP 4965)]
[New Thread 0xb1d29b90 (LWP 7981)]
[New Thread 0xb26f7b90 (LWP 7980)]
[New Thread 0xb32e1b90 (LWP 4971)]
[New Thread 0xb3eedb90 (LWP 4970)]
[New Thread 0xb4730b90 (LWP 4969)]
[New Thread 0xb4f31b90 (LWP 4968)]
[KCrash handler]
#6  0x00340028 in ?? ()
#7  0xb507b7b6 in ?? () from /usr/lib/libxine.so.1
#8  0x0874f288 in ?? ()
#9  0x0000000e in ?? ()
#10 0xb507b80e in xine_close () from /usr/lib/libxine.so.1
#11 0xb507b89c in xine_dispose () from /usr/lib/libxine.so.1
#12 0xb50d6b92 in ~XineStream (this=0x8789458)
    at /home/bram/KDE/kdebase/runtime/phonon/xine/xinestream.cpp:105
#13 0xb50e56a1 in ~QExplicitlySharedDataPointer (this=0x874ee80)
    at /mnt/win_d/bram/kde4/include/QtCore/qshareddata.h:152
#14 0xb50e75f6 in ~XineStreamKeeper (this=0x874ee78)
    at /home/bram/KDE/kdebase/runtime/phonon/xine/mediaobject.cpp:105
#15 0xb7deff9a in qDeleteInEventHandler (o=0x874ee78)
    at /home/bram/KDE/qt-copy/src/corelib/kernel/qobject.cpp:3595
#16 0xb7df5338 in QObject::event (this=0x874ee78, e=0x8786740)
    at /home/bram/KDE/qt-copy/src/corelib/kernel/qobject.cpp:1124
#17 0xb716e175 in QApplicationPrivate::notify_helper (this=0x8070938,
    receiver=0x874ee78, e=0x8786740)
    at /home/bram/KDE/qt-copy/src/gui/kernel/qapplication.cpp:3772
#18 0xb716e48b in QApplication::notify (this=0xbfe313ac, receiver=0x874ee78,
    e=0x8786740) at /home/bram/KDE/qt-copy/src/gui/kernel/qapplication.cpp:3366
#19 0xb6e3913a in KApplication::notify (this=0xbfe313ac, receiver=0x874ee78,
    event=0x8786740)
    at /home/bram/KDE/kdelibs/kdeui/kernel/kapplication.cpp:311
#20 0xb7ddf991 in QCoreApplication::notifyInternal (this=0xbfe313ac,
    receiver=0x874ee78, event=0x8786740)
    at /home/bram/KDE/qt-copy/src/corelib/kernel/qcoreapplication.cpp:587
#21 0xb7de3e1d in QCoreApplication::sendEvent (receiver=0x874ee78,
    event=0x8786740)
    at ../../include/QtCore/../../../../qt-copy/src/corelib/kernel/qcoreapplication.h:215
#22 0xb7ddff28 in QCoreApplicationPrivate::sendPostedEvents (receiver=0x0,
    event_type=0, data=0x8129c20)
    at /home/bram/KDE/qt-copy/src/corelib/kernel/qcoreapplication.cpp:1198
#23 0xb7de019b in QCoreApplication::sendPostedEvents (receiver=0x0,
    event_type=0)
    at /home/bram/KDE/qt-copy/src/corelib/kernel/qcoreapplication.cpp:1091
#24 0xb7e154a2 in QCoreApplication::sendPostedEvents ()
    at ../../include/QtCore/../../../../qt-copy/src/corelib/kernel/qcoreapplication.h:220
#25 0xb7e14399 in postEventSourceDispatch (s=0x81d4d80)
    at /home/bram/KDE/qt-copy/src/corelib/kernel/qeventdispatcher_glib.cpp:211
#26 0x452822ff in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#27 0x452857ef in ?? () from /usr/lib/libglib-2.0.so.0
#28 0x081a9e00 in ?? ()
#29 0x00000000 in ?? ()

Thread 5 (Thread 0xb3eedb90 (LWP 4970)):
#0  0xb7f49410 in __kernel_vsyscall ()
#1  0x4427a576 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb508dc62 in ?? () from /usr/lib/libxine.so.1
#3  0x081de6f8 in ?? ()
#4  0x081de6e0 in ?? ()
#5  0x44284ff4 in ?? () from /lib/libpthread.so.0
#6  0x44279ba9 in _L_mutex_unlock_60 () from /lib/libpthread.so.0
#7  0x4427983e in __pthread_mutex_unlock_usercnt () from /lib/libpthread.so.0
#8  0xb508ebef in ?? () from /usr/lib/libxine.so.1
#9  0x081de6e0 in ?? ()
#10 0x00000002 in ?? ()
#11 0x00000000 in ?? ()

Thread 4 (Thread 0xb32e1b90 (LWP 4971)):
#0  0xb7f49410 in __kernel_vsyscall ()
#1  0x441b7991 in select () from /lib/libc.so.6
#2  0xb50a53cc in xine_usec_sleep () from /usr/lib/libxine.so.1
#3  0xb508c4c6 in ?? () from /usr/lib/libxine.so.1
#4  0x000003e8 in ?? ()
#5  0xffffffd0 in ?? ()
#6  0x00895440 in ?? ()
#7  0x00000000 in ?? ()

Thread 3 (Thread 0xb26f7b90 (LWP 7980)):
#0  0xb7f49410 in __kernel_vsyscall ()
#1  0x4427a576 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb50827cf in ?? () from /usr/lib/libxine.so.1
#3  0x08133a34 in ?? ()
#4  0x08133a1c in ?? ()
#5  0x4427cd41 in __lll_mutex_unlock_wake () from /lib/libpthread.so.0
#6  0x08133a1c in ?? ()
#7  0xb50b5ff4 in ?? () from /usr/lib/libxine.so.1
#8  0x08133a08 in ?? ()
#9  0x081e1528 in ?? ()
#10 0xb26f73a8 in ?? ()
#11 0xb5088732 in ?? () from /usr/lib/libxine.so.1
#12 0x08133a08 in ?? ()
#13 0x0877d2e8 in ?? ()
#14 0xb26f738c in ?? ()
#15 0x00000000 in ?? ()

Thread 2 (Thread 0xb1d29b90 (LWP 7981)):
#0  0xb7f49410 in __kernel_vsyscall ()
#1  0x4427a576 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb50827cf in ?? () from /usr/lib/libxine.so.1
#3  0x0877d3cc in ?? ()
#4  0x0877d3b4 in ?? ()
#5  0x00000000 in ?? ()

Thread 1 (Thread 0xb6a5f6d0 (LWP 4965)):
#0  0xb7f49410 in __kernel_vsyscall ()
#1  0x4427a7fc in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/libpthread.so.0
#2  0xb7cd6eca in QWaitConditionPrivate::wait (this=0x8129bc8, time=10000)
    at /home/bram/KDE/qt-copy/src/corelib/thread/qwaitcondition_unix.cpp:86
#3  0xb7cd6a9c in QWaitCondition::wait (this=0x8140ac0, mutex=0x8140aac,
    time=10000)
    at /home/bram/KDE/qt-copy/src/corelib/thread/qwaitcondition_unix.cpp:265
#4  0xb7cd5928 in QThread::wait (this=0x8132f90, time=10000)
    at /home/bram/KDE/qt-copy/src/corelib/thread/qthread_unix.cpp:561
#5  0xb50cb8e1 in ~XineEngine (this=0x814f9b0)
    at /home/bram/KDE/kdebase/runtime/phonon/xine/xineengine.cpp:83
#6  0xb50e9f50 in ~Backend (this=0x8144d58)
    at /home/bram/KDE/kdebase/runtime/phonon/xine/backend.cpp:94
#7  0xb6c45a85 in Phonon::FactoryPrivate::~FactoryPrivate ()
   from /mnt/win_d/bram/kde4/lib/libphonon.so.4
#8  0xb6c44a0a in Phonon::._253::destroy ()
   from /mnt/win_d/bram/kde4/lib/libphonon.so.4
#9  0xb6c28da5 in Phonon::CleanUpGlobalStatic::~CleanUpGlobalStatic ()
   from /mnt/win_d/bram/kde4/lib/libphonon.so.4
#10 0xb6c44980 in __tcf_0 () from /mnt/win_d/bram/kde4/lib/libphonon.so.4
#11 0x44128d9c in exit () from /lib/libc.so.6
#12 0xb71ed4e1 in qt_xio_errhandler ()
    at /home/bram/KDE/qt-copy/src/gui/kernel/qapplication_x11.cpp:590
#13 0xb6e37aca in KApplication::xioErrhandler (this=0xbfe313ac, dpy=0x80754a0)
    at /home/bram/KDE/kdelibs/kdeui/kernel/kapplication.cpp:418
#14 0xb6e37b0a in kde_xio_errhandler (dpy=0x80754a0)
    at /home/bram/KDE/kdelibs/kdeui/kernel/kapplication.cpp:130
#15 0x49b9cd12 in _XIOError () from /usr/lib/libX11.so.6
#16 0x49b9f200 in _XEventsQueued () from /usr/lib/libX11.so.6
#17 0x49b8dd7f in XEventsQueued () from /usr/lib/libX11.so.6
#18 0xb722774b in x11EventSourceCheck (s=0x8073750)
    at /home/bram/KDE/qt-copy/src/gui/kernel/qguieventdispatcher_glib.cpp:89
#19 0x45285240 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#20 0x452855ce in ?? () from /usr/lib/libglib-2.0.so.0
#21 0x08072a20 in ?? ()
#22 0x7fffffff in ?? ()
#23 0x0806ac50 in ?? ()
#24 0x00000003 in ?? ()
#25 0x45285d67 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#26 0xb7e139de in QEventDispatcherGlib::processEvents (this=0x806d9a0,
    flags=@0xbfe31268)
    at /home/bram/KDE/qt-copy/src/corelib/kernel/qeventdispatcher_glib.cpp:325
#27 0xb72274d0 in QGuiEventDispatcherGlib::processEvents (this=0x806d9a0,
    flags=@0xbfe31298)
    at /home/bram/KDE/qt-copy/src/gui/kernel/qguieventdispatcher_glib.cpp:204
#28 0xb7ddbf80 in QEventLoop::processEvents (this=0xbfe3131c,
    flags=@0xbfe312d4)
    at /home/bram/KDE/qt-copy/src/corelib/kernel/qeventloop.cpp:149
#29 0xb7ddc1bd in QEventLoop::exec (this=0xbfe3131c, flags=@0xbfe31324)
    at /home/bram/KDE/qt-copy/src/corelib/kernel/qeventloop.cpp:200
#30 0xb7de02ba in QCoreApplication::exec ()
    at /home/bram/KDE/qt-copy/src/corelib/kernel/qcoreapplication.cpp:845
#31 0xb716de92 in QApplication::exec ()
    at /home/bram/KDE/qt-copy/src/gui/kernel/qapplication.cpp:3304
#32 0x0804d8ad in main (argc=-1225045976, argv=0x8128928)
    at /home/bram/KDE/kdebase/runtime/knotify/main.cpp:73
#0  0xb7f49410 in __kernel_vsyscall ()
Comment 6 Lubos Lunak 2008-07-21 16:23:01 UTC
SVN commit 835987 by lunakl:

Remove emitting of aboutToQuit() from KApplication::xioErrhandler() - the application
is not about to quit, it is about to fall flat on its face. There is really not that
much to do once KDE apps lose their connection to the X server. How that can happen
while the X server still continues to run is a different question and I don't know
the answer. It is quite possible it is caused by careless usage of one X connection
from several threads concurrently without proper locking.

CCBUG: 166685
CCBUG: 166432
CCBUG: 166401
CCBUG: 166179
CCBUG: 165451
CCBUG: 165307
CCBUG: 165059
CCBUG: 164740
CCBUG: 164665
CCBUG: 163751
CCBUG: 163355
CCBUG: 161787
CCBUG: 160692
CCBUG: 160458
CCBUG: 158194
CCBUG: 158088
CCBUG: 157607
CCBUG: 154011
CCBUG: 151293
CCBUG: 146891
CCBUG: 146700
CCBUG: 146562
CCBUG: 144383
CCBUG: 143375
CCBUG: 141871
BUG: 140683
CCBUG: 139162
CCBUG: 134708
CCBUG: 133332
CCBUG: 128588
CCBUG: 112960



 M  +0 -1      kapplication.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=835987
Comment 7 Ralph Janke 2008-07-26 19:11:54 UTC
Here are some more detailed traces for the same problem:

This is also reported at https://bugs.launchpad.net/ubuntu/+source/kdebase/+bug/244372

[Thread debugging using libthread_db enabled]
[New Thread 0x2b8af5e07a30 (LWP 28101)]
[KCrash handler]
#5  0x00002b8af6543034 in KAudioManagerPlay (this=0x7baa50, server=0x6dd3b0, 
    title=@0x2b8af0ddaa38) at /usr/include/kde/arts/soundserver.h:1787
#6  0x00002b8af5e11eb3 in KNotify::restartedArtsd (this=0x7bc920)
    at /build/buildd/kdelibs-3.5.9/./arts/knotify/knotify.cpp:787
#7  0x00002b8af5e14122 in KNotify (this=0x7bc920, useArts=true)
    at /build/buildd/kdelibs-3.5.9/./arts/knotify/knotify.cpp:259
#8  0x00002b8af5e144a4 in kdemain (argc=<value optimized out>, 
    argv=<value optimized out>)
    at /build/buildd/kdelibs-3.5.9/./arts/knotify/knotify.cpp:218
#9  0x0000000000408018 in launch (argc=1, _name=0x66b658 "knotify", 
    args=0x66b660 "\001", cwd=0x0, envc=1, envs=0x66b674 "", reset_env=false, 
    tty=0x0, avoid_loops=false, 
    startup_id_str=0x66b67d "nisman-desktop;1214932532;345579;27865_TIME0")
    at /build/buildd/kdelibs-3.5.9/./kinit/kinit.cpp:673
#10 0x00000000004087b1 in handle_launcher_request (sock=9)
    at /build/buildd/kdelibs-3.5.9/./kinit/kinit.cpp:1240
#11 0x0000000000408ce9 in handle_requests (waitForPid=0)
    at /build/buildd/kdelibs-3.5.9/./kinit/kinit.cpp:1443
#12 0x0000000000409652 in main (argc=2, argv=<value optimized out>, 
    envp=0x7fffbc333eb0) at /build/buildd/kdelibs-3.5.9/./kinit/kinit.cpp:1908

Hope this helps... 

Thanks
Comment 8 Alexey Chernov 2008-09-05 21:39:32 UTC
This bug is reproducible in KDE 4.1.1 and so here is a crash report, I hope it helps:
Приложение: KNotify (knotify4), сигнал SIGSEGV
Using host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread 0x7f669243f700 (LWP 4453)]
[New Thread 0x4282b950 (LWP 4486)]
[New Thread 0x40aab950 (LWP 4482)]
[KCrash handler]
#5  0x00007f6681694c13 in res0_look () from /usr/lib/libvorbis.so.0
#6  0x00007f66816892e9 in _vds_shared_init () from /usr/lib/libvorbis.so.0
#7  0x00007f66816894a7 in vorbis_synthesis_init () from /usr/lib/libvorbis.so.0
#8  0x00007f6681a8bb50 in vorbis_handle_type_packet (vd=0x7f667c01a100)
    at vorbisdec.c:724
#9  0x00007f6681a8bd32 in vorbis_handle_header_packet (vd=0x7f667c01a100, 
    packet=0x4282ab00) at vorbisdec.c:765
#10 0x00007f6681a8e532 in vorbis_dec_decode_buffer (vd=0x7f667c01a100, 
    buffer=0x224c430) at vorbisdec.c:1113
#11 0x00007f6681a8f716 in vorbis_dec_chain_forward (vd=0x7f667c01a100, 
    discont=0, buffer=0x224c430) at vorbisdec.c:1326
#12 0x00007f6681a8f83e in vorbis_dec_chain (pad=0x2201cf0, buffer=0x224c430)
    at vorbisdec.c:1358
#13 0x00007f66849a2191 in gst_pad_chain_unchecked (pad=0x2201cf0, 
    buffer=0x224c430) at gstpad.c:3523
#14 0x00007f66849a291d in gst_pad_push (pad=0x22175c0, buffer=0x224c430)
    at gstpad.c:3691
#15 0x00007f66820f1771 in gst_queue_push_one (queue=0x21fb3e0)
    at gstqueue.c:1021
#16 0x00007f66820f26bd in gst_queue_loop (pad=0x22175c0) at gstqueue.c:1123
#17 0x00007f66849beee3 in gst_task_func (task=0x7f667c0263c0, tclass=0x2248c00)
    at gsttask.c:192
#18 0x00007f668e3fd70b in g_thread_pool_thread_proxy ()
   from /usr/lib/libglib-2.0.so.0
#19 0x00007f668e3fc61b in g_thread_create_proxy ()
   from /usr/lib/libglib-2.0.so.0
#20 0x00007f6691a6d297 in start_thread (arg=<value optimized out>)
    at pthread_create.c:297
#21 0x00007f668ee626bd in clone () from /lib/libc.so.6

Thread 1 (Thread 0x7f669243f700 (LWP 4453)):
#0  0x00007f6691a73ff4 in __lll_lock_wait () from /lib/libpthread.so.0
#1  0x00007f6691a6fbb2 in _L_lock_103 () from /lib/libpthread.so.0
#2  0x00007f6691a6f4f0 in __pthread_mutex_lock (mutex=0x7f667c01cb48)
    at pthread_mutex_lock.c:86
#3  0x00007f668e3fa644 in g_static_rec_mutex_lock ()
   from /usr/lib/libglib-2.0.so.0
#4  0x00007f6684998e5f in post_activate (pad=0x2201cf0, 
    new_mode=GST_ACTIVATE_NONE) at gstpad.c:607
#5  0x00007f668499a05c in gst_pad_activate_push (pad=0x2201cf0, active=0)
    at gstpad.c:903
#6  0x00007f668499915b in gst_pad_set_active (pad=0x2201cf0, active=0)
    at gstpad.c:665
#7  0x00007f6684984db6 in activate_pads (pad=0x2201cf0, ret=0x7fff9a472660, 
    active=0x7fff9a4726a4) at gstelement.c:2509
#8  0x00007f6684994e6e in gst_iterator_fold (it=0x7f667c0423e0, 
    func=0x7f6684984d93 <activate_pads>, ret=0x7fff9a472660, 
    user_data=0x7fff9a4726a4) at gstiterator.c:503
#9  0x00007f6684984e67 in iterator_activate_fold_with_resync (
    iter=0x7f667c0423e0, func=0x7f6684984d93 <activate_pads>, 
    user_data=0x7fff9a4726a4) at gstelement.c:2541
#10 0x00007f6684984f6b in gst_element_pads_activate (element=0x7f667c01a100, 
    active=0) at gstelement.c:2585
#11 0x00007f66849852aa in gst_element_change_state_func (
    element=0x7f667c01a100, transition=GST_STATE_CHANGE_PAUSED_TO_READY)
    at gstelement.c:2663
#12 0x00007f6681a8f8ef in vorbis_dec_change_state (element=0x7f667c01a100, 
    transition=GST_STATE_CHANGE_PAUSED_TO_READY) at vorbisdec.c:1388
#13 0x00007f6684984a10 in gst_element_change_state (element=0x7f667c01a100, 
    transition=GST_STATE_CHANGE_PAUSED_TO_READY) at gstelement.c:2425
#14 0x00007f66849848a1 in gst_element_set_state_func (element=0x7f667c01a100, 
    state=GST_STATE_READY) at gstelement.c:2375
#15 0x00007f66849844d9 in gst_element_set_state (element=0x7f667c01a100, 
    state=GST_STATE_READY) at gstelement.c:2278
#16 0x00007f668496c50d in gst_bin_element_set_state (bin=0x220a880, 
    element=0x7f667c01a100, base_time=0, current=GST_STATE_PAUSED, 
    next=GST_STATE_READY) at gstbin.c:1933
#17 0x00007f668496dfb4 in gst_bin_change_state_func (element=0x220a880, 
    transition=GST_STATE_CHANGE_PAUSED_TO_READY) at gstbin.c:2184
#18 0x00007f6681ec6a01 in gst_decode_bin_change_state (element=0x220a880, 
    transition=GST_STATE_CHANGE_PAUSED_TO_READY) at gstdecodebin.c:1780
#19 0x00007f6684984a10 in gst_element_change_state (element=0x220a880, 
    transition=GST_STATE_CHANGE_PAUSED_TO_READY) at gstelement.c:2425
#20 0x00007f66849848a1 in gst_element_set_state_func (element=0x220a880, 
    state=GST_STATE_READY) at gstelement.c:2375
#21 0x00007f66849844d9 in gst_element_set_state (element=0x220a880, 
    state=GST_STATE_READY) at gstelement.c:2278
#22 0x00007f668496c50d in gst_bin_element_set_state (bin=0x22123d0, 
    element=0x220a880, base_time=0, current=GST_STATE_PAUSED, 
    next=GST_STATE_READY) at gstbin.c:1933
#23 0x00007f668496dfb4 in gst_bin_change_state_func (element=0x22123d0, 
    transition=GST_STATE_CHANGE_PAUSED_TO_READY) at gstbin.c:2184
#24 0x00007f66849a6f89 in gst_pipeline_change_state (element=0x22123d0, 
    transition=GST_STATE_CHANGE_PAUSED_TO_READY) at gstpipeline.c:463
#25 0x00007f6684984a10 in gst_element_change_state (element=0x22123d0, 
    transition=GST_STATE_CHANGE_PAUSED_TO_READY) at gstelement.c:2425
#26 0x00007f66849848a1 in gst_element_set_state_func (element=0x22123d0, 
    state=GST_STATE_NULL) at gstelement.c:2375
#27 0x00007f66849844d9 in gst_element_set_state (element=0x22123d0, 
    state=GST_STATE_NULL) at gstelement.c:2278
#28 0x00007f6684e812a0 in ~MediaObject (this=0x22a2890)
    at /usr/src/packages/kde4/4.1.1/phonon-4.2.0/gstreamer/mediaobject.cpp:105
#29 0x00007f668f7cef83 in Phonon::MediaNodePrivate::deleteBackendObject (
    this=0x2209360)
    at /usr/src/packages/kde4/4.1.1/phonon-4.2.0/phonon/medianode.cpp:78
#30 0x00007f668f7dd4ce in ~FactoryPrivate (this=0x1ffe990)
    at /usr/src/packages/kde4/4.1.1/phonon-4.2.0/phonon/factory.cpp:166
#31 0x00007f668f7dca51 in destroy ()
    at /usr/src/packages/kde4/4.1.1/phonon-4.2.0/phonon/factory.cpp:80
#32 0x00007f668f7c811d in ~CleanUpGlobalStatic (this=0x7f668f901eb0)
    at /usr/src/packages/kde4/4.1.1/phonon-4.2.0/phonon/globalstatic_p.h:52
#33 0x00007f668f7dc9e0 in __tcf_0 ()
    at /usr/src/packages/kde4/4.1.1/phonon-4.2.0/phonon/factory.cpp:80
#34 0x00007f668edd2eb9 in *__GI_exit (status=1) at exit.c:75
#35 0x00007f66908ebe58 in qt_xio_errhandler ()
    at kernel/qapplication_x11.cpp:590
#36 0x00007f668fb0595b in KApplication::xioErrhandler (this=0x7fff9a4736a0, 
    dpy=0x1edcf70)
    at /usr/src/packages/kde4/4.1.1/kdelibs-4.1.1/kdeui/kernel/kapplication.cpp:417
#37 0x00007f668fb05989 in kde_xio_errhandler (dpy=0x1edcf70)
    at /usr/src/packages/kde4/4.1.1/kdelibs-4.1.1/kdeui/kernel/kapplication.cpp:130
#38 0x00007f6691685114 in _XIOError (dpy=0x1edcf70) at XlibInt.c:2940
#39 0x00007f669168c145 in process_responses (dpy=0x1edcf70, 
    wait_for_first_event=0, current_error=0x0, current_request=0)
    at xcb_io.c:180
#40 0x00007f669168c7f6 in _XEventsQueued (dpy=0x1edcf70, 
    mode=<value optimized out>) at xcb_io.c:197
#41 0x00007f66916766be in XEventsQueued (dpy=0x1edcf70, mode=2) at Pending.c:44
#42 0x00007f669091e027 in x11EventSourcePrepare (s=0x1ec8d90, 
    timeout=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:81
#43 0x00007f668e3cec77 in g_main_context_prepare ()
   from /usr/lib/libglib-2.0.so.0
#44 0x00007f668e3d1188 in g_main_context_iterate ()
   from /usr/lib/libglib-2.0.so.0
#45 0x00007f668e3d19a8 in g_main_context_iteration ()
   from /usr/lib/libglib-2.0.so.0
#46 0x00007f6691cee505 in QEventDispatcherGlib::processEvents (this=0x1ec4a10, 
    flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:327
#47 0x00007f669091e24f in QGuiEventDispatcherGlib::processEvents (
    this=0x7f667c01cb48, flags=<value optimized out>)
    at kernel/qguieventdispatcher_glib.cpp:204
#48 0x00007f6691cc4b65 in QEventLoop::processEvents (
    this=<value optimized out>, flags=@0x7fff9a473580)
    at kernel/qeventloop.cpp:149
#49 0x00007f6691cc4cc8 in QEventLoop::exec (this=0x7fff9a4735c0, 
    flags=@0x7fff9a4735d0) at kernel/qeventloop.cpp:200
#50 0x00007f6691cc6cce in QCoreApplication::exec ()
    at kernel/qcoreapplication.cpp:849
#51 0x0000000000406d53 in main (argc=1, argv=0x7fff9a473a28)
    at /usr/src/packages/kde4/4.1.1/kdebase-runtime-4.1.1/knotify/main.cpp:73
Current language:  auto; currently c
#0  0x00007f6691a73ff4 in __lll_lock_wait () from /lib/libpthread.so.0
Comment 9 imcoolamiyours 2008-10-12 20:33:20 UTC
SIR I'M ACTUALLY PRETTY NEW TO ALL THESE STUFFS . CAN YOU TELL ME IN LAYMAN'S LANGUAGE WHAT SOULD I DO 
Comment 10 Matt Rogers 2008-11-19 23:39:34 UTC
Arts is no longer developed and has been unmaintained for quite some time - more than 2 years. With phonon as the replacement for arts in KDE4, we're closing out all the arts bugs in Bugzilla since there is no chance of them being fixed.

Thanks
Comment 11 Vadim Zhukov 2013-02-14 14:18:15 UTC
The problem is NOT aRts-specific (did you ever read the whole issue?), and is still there in 4.10:

Application: KNotify (knotify4), signal: Segmentation fault
[KCrash Handler]
#7  0x0dbeab3a in res0_look () from /usr/local/lib/libvorbis.so.8.0
#8  0x0dbdf97e in _vds_shared_init () from /usr/local/lib/libvorbis.so.8.0
#9  0x0dbdfbc6 in vorbis_synthesis_init () from /usr/local/lib/libvorbis.so.8.0
#10 0x040e2fbd in vorbis_handle_header_packet (vd=0x84d1dc00, packet=0x857a2b84) at gstvorbisdec.c:392
#11 0x040e3bdb in vorbis_dec_handle_frame (dec=0x84d1dc00, buffer=0x8b7f2c78) at gstvorbisdec.c:690
#12 0x0e81e509 in gst_audio_decoder_handle_frame (dec=0x84d1dc00, klass=0x89247800, buffer=0x8b7f2c78) at gstaudiodecoder.c:945
#13 0x0e81e83d in gst_audio_decoder_push_buffers (dec=0x84d1dc00, force=0) at gstaudiodecoder.c:1039
#14 0x0e81ed10 in gst_audio_decoder_chain_forward (dec=0x84d1dc00, buffer=0x8b7f2c78) at gstaudiodecoder.c:1141
#15 0x0e820bb3 in gst_audio_decoder_chain (pad=0x8236d4b8, buffer=0x8b7f2c78) at gstaudiodecoder.c:1389
#16 0x0fd8e671 in gst_pad_push (pad=0x8236d3f0, buffer=0x8b7f2c78) at gstpad.c:4710
#17 0x03a32434 in gst_multi_queue_loop (pad=0x8236d3f0) at gstmultiqueue.c:1087
#18 0x0fdb502c in gst_task_func (task=0x8bb4d680) at gsttask.c:327
#19 0x0fdb6567 in default_func (tdata=0x8ba8ae00, pool=0x7f943800) at gsttaskpool.c:70
#20 0x01ea13b1 in g_thread_pool_thread_proxy () from /usr/local/lib/libglib-2.0.so.3400.0
#21 0x01ea0362 in g_thread_proxy () from /usr/local/lib/libglib-2.0.so.3400.0
#22 0x0695710e in _rthread_start (v=0x7fdabf00) at /usr/src/lib/librthread/rthread.c:122
#23 0x03cf4272 in __tfork_thread () at /usr/src/lib/libc/arch/i386/sys/tfork_thread.S:95

Thread 2 (thread 1013363):
#1  0x06958e58 in pthread_cond_wait (condp=0x86cc6450, mutexp=0x86cc62f0) at /usr/src/lib/librthread/rthread_sync.c:500
#2  0x01ebddba in g_cond_wait () from /usr/local/lib/libglib-2.0.so.3400.0
#3  0x0d5ee9ca in gst_data_queue_push (queue=0x86cc62f0, item=0x857615a0) at gstdataqueue.c:437
#4  0x03a31605 in gst_multi_queue_chain (pad=0x8236d328, buffer=0x83fe6f00) at gstmultiqueue.c:1394
#5  0x0fd8e671 in gst_pad_push (pad=0x8ba89000, buffer=0x83fe6f00) at gstpad.c:4710
#6  0x06661f4c in gst_ogg_demux_chain_peer (pad=0x8ba89000, packet=0x88d34af0, push_headers=0) at gstoggdemux.c:667
#7  0x066657e9 in gst_ogg_pad_stream_out (pad=0x8ba89000, npackets=0) at gstoggdemux.c:1047
#8  0x06668662 in gst_ogg_pad_submit_page (pad=0x8ba89000, page=0x88d34ddc) at gstoggdemux.c:1723
#9  0x0666d2a5 in gst_ogg_demux_chain (pad=0x7ebf3010, buffer=0x7f943590) at gstoggdemux.c:4142
#10 0x0666eeb5 in gst_ogg_demux_loop (pad=0x7ebf3010) at gstoggdemux.c:4267
#11 0x0fdb502c in gst_task_func (task=0x8bb4d020) at gsttask.c:327
#12 0x0fdb6567 in default_func (tdata=0x804b7fa0, pool=0x7f943800) at gsttaskpool.c:70
#13 0x01ea13b1 in g_thread_pool_thread_proxy () from /usr/local/lib/libglib-2.0.so.3400.0
#14 0x01ea0362 in g_thread_proxy () from /usr/local/lib/libglib-2.0.so.3400.0
#15 0x0695710e in _rthread_start (v=0x80ee7b00) at /usr/src/lib/librthread/rthread.c:122
#16 0x03cf4272 in __tfork_thread () at /usr/src/lib/libc/arch/i386/sys/tfork_thread.S:95

Thread 1 (thread 1003602):
#1  0x069597bf in _rthread_mutex_lock (mutexp=0x8ba8ad38, trywait=0, abstime=0x0) at /usr/src/lib/librthread/rthread_sync.c:147
#2  0x01ebe252 in g_rec_mutex_lock () from /usr/local/lib/libglib-2.0.so.3400.0
#3  0x01e4a929 in g_static_rec_mutex_lock () from /usr/local/lib/libglib-2.0.so.3400.0
#4  0x0fd82958 in post_activate (pad=0x7fdab930, new_mode=) at gstpad.c:660
#5  0x0fd8dcce in gst_pad_activate_push (pad=0x8236d4b8, active=0) at gstpad.c:963
#6  0x0fd8e38f in gst_pad_set_active (pad=0x8236d4b8, active=0) at gstpad.c:718
#7  0x0fd6f91e in activate_pads (pad=0x8236d4b8, ret=0xcfbe9ea8, active=0xcfbe9f08) at gstelement.c:2845
#8  0x0fd7d597 in gst_iterator_fold (it=0x88860e00, func=0xfd6f8f0 <activate_pads>, ret=0xcfbe9ea8, user_data=0xcfbe9f08) at gstiterator.c:549
#9  0x0fd6f392 in iterator_activate_fold_with_resync (iter=0x88860e00, func=0xfd6f8f0 <activate_pads>, user_data=0xcfbe9f08) at gstelement.c:2876
#10 0x0fd6f458 in gst_element_pads_activate (element=0x84d1dc00, active=0) at gstelement.c:2920
#11 0x0fd6f782 in gst_element_change_state_func (element=0x84d1dc00, transition=GST_STATE_CHANGE_PAUSED_TO_READY) at gstelement.c:3002
#12 0x0e81cd78 in gst_audio_decoder_change_state (element=0x84d1dc00, transition=GST_STATE_CHANGE_PAUSED_TO_READY) at gstaudiodecoder.c:2090
#13 0x0fd6b787 in gst_element_change_state (element=0x84d1dc00, transition=GST_STATE_CHANGE_PAUSED_TO_READY) at gstelement.c:2761
#14 0x0fd6bcb3 in gst_element_set_state_func (element=0x84d1dc00, state=GST_STATE_READY) at gstelement.c:2717
#15 0x0fd6a8ca in gst_element_set_state (element=0x84d1dc00, state=GST_STATE_READY) at gstelement.c:2618
#16 0x0fd5985c in gst_bin_change_state_func (element=0x85448008, transition=GST_STATE_CHANGE_PAUSED_TO_READY) at gstbin.c:2209
#17 0x04eb449c in gst_decode_bin_change_state (element=0x85448008, transition=GST_STATE_CHANGE_PAUSED_TO_READY) at gstdecodebin2.c:4027
#18 0x0fd6b787 in gst_element_change_state (element=0x85448008, transition=GST_STATE_CHANGE_PAUSED_TO_READY) at gstelement.c:2761
#19 0x0fd6bcb3 in gst_element_set_state_func (element=0x85448008, state=GST_STATE_READY) at gstelement.c:2717
#20 0x0fd6a8ca in gst_element_set_state (element=0x85448008, state=GST_STATE_READY) at gstelement.c:2618
#21 0x0fd5985c in gst_bin_change_state_func (element=0x804b8018, transition=GST_STATE_CHANGE_PAUSED_TO_READY) at gstbin.c:2209
#22 0x04ebc753 in gst_uri_decode_bin_change_state (element=0x804b8018, transition=GST_STATE_CHANGE_PAUSED_TO_READY) at gsturidecodebin.c:2500
#23 0x0fd6b787 in gst_element_change_state (element=0x804b8018, transition=GST_STATE_CHANGE_PAUSED_TO_READY) at gstelement.c:2761
#24 0x0fd6bcb3 in gst_element_set_state_func (element=0x804b8018, state=GST_STATE_READY) at gstelement.c:2717
#25 0x0fd6a8ca in gst_element_set_state (element=0x804b8018, state=GST_STATE_READY) at gstelement.c:2618
#26 0x0fd5985c in gst_bin_change_state_func (element=0x8236d800, transition=GST_STATE_CHANGE_PAUSED_TO_READY) at gstbin.c:2209
#27 0x0fd90ef0 in gst_pipeline_change_state (element=0x8236d800, transition=GST_STATE_CHANGE_PAUSED_TO_READY) at gstpipeline.c:482
#28 0x0f1fbf8a in gst_play_bin_change_state (element=0x8236d800, transition=GST_STATE_CHANGE_PAUSED_TO_READY) at gstplaybin2.c:3936
#29 0x0fd6b787 in gst_element_change_state (element=0x8236d800, transition=GST_STATE_CHANGE_PAUSED_TO_READY) at gstelement.c:2761
#30 0x0fd6bcb3 in gst_element_set_state_func (element=0x8236d800, state=GST_STATE_NULL) at gstelement.c:2717
#31 0x0fd6a8ca in gst_element_set_state (element=0x8236d800, state=GST_STATE_NULL) at gstelement.c:2618
#32 0x0a44b676 in Phonon::Gstreamer::Pipeline::~Pipeline () from /usr/local/lib/kde4/plugins/phonon_backend/phonon_gstreamer.so
#33 0x0a44033d in Phonon::Gstreamer::MediaObject::~MediaObject () from /usr/local/lib/kde4/plugins/phonon_backend/phonon_gstreamer.so
#34 0x0663001c in Phonon::MediaNodePrivate::deleteBackendObject () from /usr/local/lib/libphonon_s.so.0.0
#35 0x0661afd2 in Phonon::FactoryPrivate::~FactoryPrivate () from /usr/local/lib/libphonon_s.so.0.0
#36 0x06619495 in Phonon::$_263::destroy () from /usr/local/lib/libphonon_s.so.0.0
#37 0x06619458 in __tcf_0 () from /usr/local/lib/libphonon_s.so.0.0
#38 0x03d6aca9 in __cxa_finalize (dso=0x0) at /usr/src/lib/libc/stdlib/atexit.c:151
#39 0x03d4ca6e in exit (status=1) at /usr/src/lib/libc/stdlib/exit.c:57
#40 0x0cade79b in QX11Data::findClientWindow () from /usr/local/lib/qt4/libQtGui.so.10.0
#41 0x0632b659 in KApplication::xioErrhandler (this=0xcfbebb40, dpy=0x8706a6b0) at /usr/ports/pobj/kdelibs-4.10.0/kdelibs-4.10.0/kdeui/kernel/kapplication.cpp:419
#42 0x0632b698 in kde_xio_errhandler (dpy=0x8706a6b0) at /usr/ports/pobj/kdelibs-4.10.0/kdelibs-4.10.0/kdeui/kernel/kapplication.cpp:126
#43 0x02688e26 in _XIOError () from /usr/X11R6/lib/libX11.so.15.1
#44 0x02686f7d in _XReply () from /usr/X11R6/lib/libX11.so.15.1
#45 0x0266d3eb in XGetWindowProperty () from /usr/X11R6/lib/libX11.so.15.1
#46 0x064c017c in NETWinInfo::update (this=0xcfbead58, dirty_props=0xcfbeab5c) at /usr/ports/pobj/kdelibs-4.10.0/kdelibs-4.10.0/kdeui/windowmanagement/netwm.cpp:3960
#47 0x064c25de in NETWinInfo::updateWMState (this=0xcfbead58) at /usr/ports/pobj/kdelibs-4.10.0/kdelibs-4.10.0/kdeui/windowmanagement/netwm.cpp:3938
#48 0x064c3283 in NETWinInfo::setState (this=0xcfbead58, state=2048, mask=2048) at /usr/ports/pobj/kdelibs-4.10.0/kdelibs-4.10.0/kdeui/windowmanagement/netwm.cpp:3070
#49 0x064aff18 in KWindowSystem::demandAttention (win=52429062, set=true) at /usr/ports/pobj/kdelibs-4.10.0/kdelibs-4.10.0/kdeui/windowmanagement/kwindowsystem_x11.cpp:582
#50 0x1c017ef4 in NotifyByTaskbar::notify ()
#51 0x1c0096ed in KNotify::emitEvent ()
#52 0x1c00aa79 in KNotify::event ()
#53 0x1c00af96 in KNotifyAdaptor::event ()
#54 0x1c00b565 in KNotifyAdaptor::qt_static_metacall ()
#55 0x1c00b63b in KNotifyAdaptor::qt_metacall ()
#56 0x0f8e47f5 in QDBusConnectionPrivate::deliverCall () from /usr/local/lib/qt4/libQtDBus.so.2.0
#57 0x0f8e60c9 in QDBusConnectionPrivate::activateCall () from /usr/local/lib/qt4/libQtDBus.so.2.0
#58 0x0f8e68bd in QDBusConnectionPrivate::activateObject () from /usr/local/lib/qt4/libQtDBus.so.2.0
#59 0x0f8e6bfa in QDBusActivateObjectEvent::placeMetaCall () from /usr/local/lib/qt4/libQtDBus.so.2.0
#60 0x0c4ec823 in QObject::event () from /usr/local/lib/qt4/libQtCore.so.9.0
#61 0x0ca576bc in QApplicationPrivate::notify_helper () from /usr/local/lib/qt4/libQtGui.so.10.0
#62 0x0ca5dc05 in QApplication::notify () from /usr/local/lib/qt4/libQtGui.so.10.0
#63 0x0632c13f in KApplication::notify (this=0xcfbebb40, receiver=0xcfbebb2c, event=0x88850f80) at /usr/ports/pobj/kdelibs-4.10.0/kdelibs-4.10.0/kdeui/kernel/kapplication.cpp:311
#64 0x0c4d708b in QCoreApplication::notifyInternal () from /usr/local/lib/qt4/libQtCore.so.9.0
#65 0x0c4db50e in QCoreApplicationPrivate::sendPostedEvents () from /usr/local/lib/qt4/libQtCore.so.9.0
#66 0x0c4db9bd in QCoreApplication::sendPostedEvents () from /usr/local/lib/qt4/libQtCore.so.9.0
#67 0x0c50f3c4 in QEventDispatcherGlib::registeredTimers () from /usr/local/lib/qt4/libQtCore.so.9.0
#68 0x01e79264 in g_main_context_dispatch () from /usr/local/lib/libglib-2.0.so.3400.0
#69 0x01e7af79 in g_main_context_iterate () from /usr/local/lib/libglib-2.0.so.3400.0
#70 0x01e7b060 in g_main_context_iteration () from /usr/local/lib/libglib-2.0.so.3400.0
#71 0x0c50f71b in QEventDispatcherGlib::processEvents () from /usr/local/lib/qt4/libQtCore.so.9.0
#72 0x0cb1d2a5 in QGuiEventDispatcherGlib::processEvents () from /usr/local/lib/qt4/libQtGui.so.10.0
#73 0x0c4d5e33 in QEventLoop::processEvents () from /usr/local/lib/qt4/libQtCore.so.9.0
#74 0x0c4d624a in QEventLoop::exec () from /usr/local/lib/qt4/libQtCore.so.9.0
#75 0x0c4dba86 in QCoreApplication::exec () from /usr/local/lib/qt4/libQtCore.so.9.0
#76 0x0ca57007 in QApplication::exec () from /usr/local/lib/qt4/libQtGui.so.10.0
#77 0x1c008037 in main ()

I could reproduce it (not reliably, though).

The problem does not occur with other Vorbis users, I can play manually the same files as knotify4 tries by e.g. ogg123 without any problem. Also, I had Pairs crashed the same way. So it's either libvorbis's bug or Phonon GStreamer backend's one.
Comment 12 Jekyll Wu 2013-02-14 14:38:11 UTC
(In reply to comment #11)
> The problem is NOT aRts-specific (did you ever read the whole issue?), and
> is still there in 4.10:

I don't think that crash is related with this report. Considering that this report against arts is very old and already contains noise, it is better to create a new report against phonon-backend-gstreamer for you crash. It causes more trouble than benefit to reuse such an old report for one unmaintained product.
Comment 13 Vadim Zhukov 2013-02-14 16:10:29 UTC
Got it: https://bugs.kde.org/show_bug.cgi?id=315142 .
Thank you for your time.